Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Ma kristina Cabural applied on Indeed
From: "Ma kristina Cabural" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Mon, 8 Aug 2022 07:38:02 -0500 (CDT)

Hello team, Good day, I hoped you received my email last 4th of August, I was not able to make it as I was sick, if this can be reschedule, I will highly appreciate it. Thank you so much

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3C344b4285-ac50-419b-91b4-21bb45ad7f99%40indeedemail.com%3E&hl=en_PH&co=PH>

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.